
Symphoniacs Version of Vivaldi's Winter (L'inverno) from The Four Seasons (Die vier Jahreszeiten)

TITLE    Vivaldi Winter (snippet)
ARTIST   Symphoniacs
COMPOSER Vivaldi
GENRE    Classical
CONTACT  http://youtube.com/watch?v=_nDmciTPqQw

